No Stars for Tbird/Lightning Rated 1 out of 5 stars

I also updated Thunderbird to 15.0. Lightnint 1.7 lost all my data, and in fact won't even show the weekly view. 1.8b is "not compatible" with Tbird 15.0. Since you insisted on integrating the calendar into the Tbird environment, it seems the least you
could do is test each release for compatibility. No stars.

Edited to add: I downloaded Lightning 1.7 per another reviewer's suggestion and things are working again. Upgraded to 2 start. I still think testing of new releases for compatibility is inadequate tor this environment. **

This review is for a previous version of the add-on (1.7).